Переполнение буфера в GNU Enscript

Дата публикации:
23.10.2008
Всего просмотров:
1864
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-3863
CVE-2008-4306
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GNU Enscript 1.x
Уязвимые версии: GNU Enscript 1.6.4 (beta) и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции "read_special_escape()" в файле src/psgen.c. Злоумышленник может обманом заставить пользователя конвертировать специально сформированный файл с опцией "-e", вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.codento.com/people/mtr/genscript/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Secunia Research: GNU Enscript "setfilename" Special Escape Buffer Overflow

или введите имя

CAPTCHA